# Interface JmolDataManager

All Known Implementing Classes:
  `DataManager`

public interface JmolDataManager

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`DATA_ATOM_PROP_ENTRY`
`static final int`
`DATA_LABEL`
`static final int`
`DATA_SAVE_IN_STATE`
`static final int`
`DATA_SELECTION`
`static final int`
`DATA_TYPE`
`static final int`
`DATA_TYPE_AF`
`static final int`
`DATA_TYPE_AFF`
`static final int`
`DATA_TYPE_AFFF`
`static final int`
`DATA_TYPE_LAST`
`static final int`
`DATA_TYPE_STRING`
`static final int`
`DATA_TYPE_UNKNOWN`
`static final int`
`DATA_VALUE`

## Method Summary

Modifier and Type
Method
Description
`void`
`clear()`
`Object[]`
`createFileData(String strModel)`
`void`
`deleteModelAtoms(int firstAtomIndex, int nAtoms, BS bsDeleted)`
`Object`
`getData(String label, BS bsSelected, int dataType)`
`boolean`
`getDataState(JmolStateCreator stateCreator, SB commands)`
`String`
`getDefaultVdwNameOrData(VDW type, BS bs)`
`JmolDataManager`
`set(Viewer vwr)`
`void`
`setData(String type, Object[] data, int dataType, int ac, int matchField, int matchFieldColumnCount, int dataField, int dataFieldColumnCount)`

## Field Details

### DATA_TYPE_LAST

static final int DATA_TYPE_LAST

See Also:
  - Constant Field Values

### DATA_TYPE_UNKNOWN

static final int DATA_TYPE_UNKNOWN

See Also:
  - Constant Field Values

### DATA_TYPE_STRING

static final int DATA_TYPE_STRING

See Also:
  - Constant Field Values

### DATA_TYPE_AF

static final int DATA_TYPE_AF

See Also:
  - Constant Field Values

### DATA_TYPE_AFF

static final int DATA_TYPE_AFF

See Also:
  - Constant Field Values

### DATA_TYPE_AFFF

static final int DATA_TYPE_AFFF

See Also:
  - Constant Field Values

### DATA_LABEL

static final int DATA_LABEL

See Also:
  - Constant Field Values

### DATA_VALUE

static final int DATA_VALUE

See Also:
  - Constant Field Values

### DATA_SELECTION

static final int DATA_SELECTION

See Also:
  - Constant Field Values

### DATA_TYPE

static final int DATA_TYPE

See Also:
  - Constant Field Values

### DATA_SAVE_IN_STATE

static final int DATA_SAVE_IN_STATE

See Also:
  - Constant Field Values

### DATA_ATOM_PROP_ENTRY

static final int DATA_ATOM_PROP_ENTRY

See Also:
  - Constant Field Values

## Method Details

### set

JmolDataManager set(Viewer vwr)

### getDataState

boolean getDataState(JmolStateCreator stateCreator, SB commands)

### clear

void clear()

### deleteModelAtoms

void deleteModelAtoms(int firstAtomIndex, int nAtoms, BS bsDeleted)

### getData

Object getData(String label, BS bsSelected, int dataType)

### getDefaultVdwNameOrData

String getDefaultVdwNameOrData(VDW type, BS bs)

### setData

void setData(String type, Object[] data, int dataType, int ac, int matchField, int matchFieldColumnCount, int dataField, int dataFieldColumnCount)

### createFileData

Object[] createFileData(String strModel)